<?xml version="1.0" encoding="utf-8"?>
<com.lihang.ShadowLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginStart="@dimen/dp_9"
    android:layout_marginEnd="@dimen/dp_9"
    app:hl_cornerRadius="@dimen/dp_8"
    app:hl_shadowColor="@color/color_shadow"
    app:hl_shadowLimit="@dimen/dp_7">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="@dimen/dp_12">

        <TextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="一元试用"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_15"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.cheng.bole.widget.CommonShapeView
            android:id="@+id/tv_status"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_24"
            android:paddingStart="@dimen/dp_4"
            android:paddingEnd="@dimen/dp_4"
            android:text="已支付"
            android:textColor="@color/color_2090fe"
            android:textSize="@dimen/sp_14"
            app:csb_cornerRadius="@dimen/dp_4"
            app:csb_fillColor="#E8F3FE"
            app:layout_constraintBottom_toBottomOf="@id/tv_name"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="@id/tv_name" />

        <View
            android:id="@+id/view_line1"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_1"
            android:layout_marginTop="@dimen/dp_14"
            android:background="@color/color_eaeaea"
            app:layout_constraintTop_toBottomOf="@id/tv_name" />

        <TextView
            android:id="@+id/tv_order_no_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_14"
            android:text="订单编号："
            android:textColor="@color/color_666666"
            android:textSize="@dimen/sp_12"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/view_line1" />

        <TextView
            android:id="@+id/tv_order_no"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:text="ZB-20240328113713-1016332-mdk8"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@id/tv_order_no_title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_order_no_title"
            app:layout_constraintTop_toTopOf="@id/tv_order_no_title" />

        <TextView
            android:id="@+id/tv_pay_type_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_14"
            android:text="支付方式："
            android:textColor="@color/color_666666"
            android:textSize="@dimen/sp_12"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_order_no_title" />

        <TextView
            android:id="@+id/tv_pay_type"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:text="支付宝支付"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@id/tv_pay_type_title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_pay_type_title"
            app:layout_constraintTop_toTopOf="@id/tv_pay_type_title" />

        <TextView
            android:id="@+id/tv_create_time_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_14"
            android:text="下单时间："
            android:textColor="@color/color_666666"
            android:textSize="@dimen/sp_12"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_pay_type_title" />

        <TextView
            android:id="@+id/tv_create_time"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:text="2025-07-28 11:45:23"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@id/tv_create_time_title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_create_time_title"
            app:layout_constraintTop_toTopOf="@id/tv_create_time_title" />

        <TextView
            android:id="@+id/tv_pay_time_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_14"
            android:text="支付时间："
            android:textColor="@color/color_666666"
            android:textSize="@dimen/sp_12"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_create_time_title" />

        <TextView
            android:id="@+id/tv_pay_time"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:text="2025-07-28 11:45:23"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_12"
            app:layout_constraintBottom_toBottomOf="@id/tv_pay_time_title"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_pay_time_title"
            app:layout_constraintTop_toTopOf="@id/tv_pay_time_title" />

        <View
            android:id="@+id/view_line2"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_1"
            android:layout_marginTop="@dimen/dp_14"
            android:background="@color/color_eaeaea"
            app:layout_constraintTop_toBottomOf="@id/tv_pay_time_title" />

        <TextView
            android:id="@+id/tv_amount"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="￥1.00"
            android:textColor="@color/color_ff493c"
            android:textSize="@dimen/sp_14"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@id/layout_actions"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="@id/layout_actions" />

        <FrameLayout
            android:id="@+id/layout_actions"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_32"
            android:layout_marginTop="@dimen/dp_12"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toBottomOf="@id/view_line2">

            <com.cheng.bole.widget.CommonShapeView
                android:id="@+id/btn_invoice"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:paddingStart="@dimen/dp_16"
                android:paddingEnd="@dimen/dp_16"
                android:text="开具发票"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/sp_14"
                android:visibility="gone"
                app:csb_cornerRadius="@dimen/dp_25"
                app:csb_strokeColor="@color/color_cccccc"
                app:csb_strokeWidth="@dimen/dp_1" />

            <com.cheng.bole.widget.CommonShapeView
                android:id="@+id/btn_certificate"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:paddingStart="@dimen/dp_16"
                android:paddingEnd="@dimen/dp_16"
                android:text="上传凭证"
                android:textColor="@color/color_1a1a1a"
                android:textSize="@dimen/sp_14"
                android:visibility="gone"
                app:csb_cornerRadius="@dimen/dp_25"
                app:csb_strokeColor="@color/color_cccccc"
                app:csb_strokeWidth="@dimen/dp_1" />
        </FrameLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>
</com.lihang.ShadowLayout>